

//Include the Servo Library
#include <Servo.h>

//pin locations for pitch and yaw
#define pinPitch 40
#define pinYaw   41

//Button locations that will change pitch and yaw
#define btnPitch 65
#define btnYaw   66


//variables
int   pitchDegree = 0;
int   yawDegree   = 0;
byte  bInstruction;


//servo initalization
Servo pitch;
Servo yaw;


//function declarations
void changePitch();
void changeYaw();
void checkButtons();


//Setup will initialize everything
void setup()
{
  Serial.begin(9600);
  pinMode(pinPitch, OUTPUT);
  pinMode(pinYaw, OUTPUT);
  
  pinMode(btnPitch, INPUT);
  pinMode(btnYaw, INPUT); 
  Serial.print("start\n");
}

//main loop
void loop()
{  
  if(digitalRead(btnPitch) == HIGH)
  {
    //while(digitalRead(btnPitch) == HIGH){}
    changePitch();
    Serial.print("pitch loop\n");
    
  }
  else if(digitalRead(btnYaw) == HIGH)
  {
    //while(digitalRead(btnYaw) == HIGH){}
    changeYaw();  
    Serial.print("yaw loop\n");
  }
}

//moves pitch by 1 degree
void changePitch()
{
  pitch.attach(pinPitch);
  
  pitchDegree += 1;
  
  //this will change the pitch servo back to the "0" position
  //after it passes 180 degrees
  pitch.write(pitchDegree % 180);  
}

//moves yaw by 1 degree
void changeYaw()
{
  yaw.attach(pinYaw);
  
  yawDegree += 1;
  
  //this will change the yaw servo back to the "0" position
  //after it passes 180 degrees
  yaw.write(yawDegree % 180);  
}
